%define name pfqueue
%define version 0.5.6
%define release %mkrel 6

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Queue manager for the Postfix or Exim mail transport agent
License:	GPLv2
Group:		Monitoring
Source:		http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Patch0:		pfqueue-fixes.patch
Patch1:		pfqueue-fixes-literal.patch
URL:		http://pfqueue.sourceforge.net/
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	ncurses-devel

%description
Pfqueue is a simple console tool for managing MTA (Mail Transfer
Agent) message queues. It handles queues through 'backends', libraries
that interact with the MTA, and displays informations through a
console, ncurses based 'frontend'.  Currently, pfqueue has backends
for Postfix (both 1.x and 2.x) and Exim (both version 3 and 4).

%prep
%setup -q
%patch0 -p0 -b .fix1
%patch1 -p1 -b .fix2

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall bindir=%{buildroot}%{_sbindir}
ln -s pfqueue.1 %{buildroot}/%{_mandir}/man1/spfqueue.1

%clean
rm -rf %{buildroot}

%files
%defattr (-, root, root, 0755)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README TODO
%{_sbindir}/pfqueue
%{_sbindir}/spfqueue
%{_libdir}/libpfq_*.so.*
%{_libdir}/libpfqueue.so.*
%exclude %{_libdir}/libpfq*.a
%exclude %{_libdir}/libpfq*.la
%exclude %{_libdir}/libpfq*.so
%{_mandir}/man1/pfqueue.1*
%{_mandir}/man1/spfqueue.1*
%{_mandir}/man5/pfqueue.conf.5*


%changelog
* Thu Nov 10 2016 ghibo <ghibo> 0.5.6-6.mga6
+ Revision: 1066210
- imported package pfqueue


* Wed Nov 09 2016 Giuseppe Ghibò - 0.5.6-5.mga6
- An old goody reimported into cauldron.
- Merged Patch0 and .desktop files from fedora.
- Build Patch1 for fixing further compilaton errors.

* Fri Aug 01 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.5.6-4mdv2009.0
+ Revision: 258926
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.5.6-3mdv2009.0
+ Revision: 246844
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Nov 21 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.5.6-1mdv2008.1
+ Revision: 110891
- drop private macro definitions
- new version

* Thu Aug 23 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.5.2-2mdv2008.0
+ Revision: 70391
- kill ldconfig require as requested by pixel

* Sun Jul 02 2006 Luca Berra <bluca@comedia.it>
+ 2006-07-02 12:31:21 (38284)
- new upstream release 0.5.2

* Sun Jul 02 2006 Luca Berra <bluca@comedia.it>
+ 2006-07-02 12:19:56 (38282)
- import pfqueue-0.3.5-1mdk

* Fri Apr 15 2005 Luca Berra <bluca@vodka.it> 0.3.5-1mdk
- Initial contrib
